Bug 19983 - Switch single-column templates to Bootstrap grid: Authorities
Summary: Switch single-column templates to Bootstrap grid: Authorities
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on: 19785 19786
Blocks: 19980
  Show dependency treegraph
 
Reported: 2018-01-16 17:29 UTC by Owen Leonard
Modified: 2018-06-04 20:15 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19983: Switch single-column templates to Bootstrap grid: Authorities (6.90 KB, patch)
2018-01-18 15:02 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19983: Switch single-column templates to Bootstrap grid: Authorities (6.91 KB, patch)
2018-03-07 16:27 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19983: Switch single-column templates to Bootstrap grid: Authorities (6.96 KB, patch)
2018-03-12 09:08 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 19983: Switch single-column templates to Bootstrap grid: Authorities (7.02 KB, patch)
2018-03-25 16:32 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-01-16 17:29:44 UTC
There are several single-column templates in the Authorities module which can be updated to use Bootstrap:

authorities-home.tt
authorities.tt
blinddetail-biblio-search.tt
detail.tt
merge.tt
searchresultlist.tt
Comment 1 Owen Leonard 2018-01-18 15:02:41 UTC Comment hidden (obsolete)
Comment 2 Claire Gravely 2018-02-16 15:49:46 UTC
Patch does not apply 

fatal: sha1 information is lacking or useless (koha-tmpl/intranet-tmpl/prog/en/modules/authorities/detail.tt).
Comment 3 Owen Leonard 2018-02-20 16:18:41 UTC
This applies cleanly for me (after some auto-merging). Can you try again?
Comment 4 Owen Leonard 2018-03-07 16:27:34 UTC
Created attachment 72510 [details] [review]
Bug 19983: Switch single-column templates to Bootstrap grid: Authorities

This patch updates several single-column Authorities module templates to
use the Bootstrap grid.

- authorities-home - The home page of the Authorities module.
- authorities.tt - The authority add/edit page.
- blinddetail-biblio-search.tt - Not really testable -- It's the small
  popup window which appears during the process of linking an authority
  to a MARC record.
- detail.tt - The authority detail page. Search for an authority record
  and click on the "details" link in the search results.
- merge.tt - From a list of authority search results, select "Merge"
  from the Actions menu of two authority records. Test both the initial
  selection screen and the source/destination merging view.
- searchresultlist.tt - The authority search results page.

Each of these pages should look correct, with a single centered column
with wide margins on either side. At lower browser widths the margins
should disappear.
Comment 5 Roch D'Amour 2018-03-09 21:13:15 UTC
Sorry, patch does not apply :(
I get:
fatal: sha1 information is lacking or useless (koha-tmpl/intranet-tmpl/prog/en/modules/authorities/blinddetail-biblio-search.tt).
Comment 6 Owen Leonard 2018-03-10 11:04:49 UTC
Using git-bz with automatic dependency resolution this applies without any trouble for me on master. Did you apply the patch for Bug 19786 first? Thanks for testing!
Comment 7 Claire Gravely 2018-03-12 09:08:37 UTC
Created attachment 72626 [details] [review]
Bug 19983: Switch single-column templates to Bootstrap grid: Authorities

This patch updates several single-column Authorities module templates to
use the Bootstrap grid.

- authorities-home - The home page of the Authorities module.
- authorities.tt - The authority add/edit page.
- blinddetail-biblio-search.tt - Not really testable -- It's the small
  popup window which appears during the process of linking an authority
  to a MARC record.
- detail.tt - The authority detail page. Search for an authority record
  and click on the "details" link in the search results.
- merge.tt - From a list of authority search results, select "Merge"
  from the Actions menu of two authority records. Test both the initial
  selection screen and the source/destination merging view.
- searchresultlist.tt - The authority search results page.

Each of these pages should look correct, with a single centered column
with wide margins on either side. At lower browser widths the margins
should disappear.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 8 Katrin Fischer 2018-03-25 16:32:05 UTC
Created attachment 73245 [details] [review]
Bug 19983: Switch single-column templates to Bootstrap grid: Authorities

This patch updates several single-column Authorities module templates to
use the Bootstrap grid.

- authorities-home - The home page of the Authorities module.
- authorities.tt - The authority add/edit page.
- blinddetail-biblio-search.tt - Not really testable -- It's the small
  popup window which appears during the process of linking an authority
  to a MARC record.
- detail.tt - The authority detail page. Search for an authority record
  and click on the "details" link in the search results.
- merge.tt - From a list of authority search results, select "Merge"
  from the Actions menu of two authority records. Test both the initial
  selection screen and the source/destination merging view.
- searchresultlist.tt - The authority search results page.

Each of these pages should look correct, with a single centered column
with wide margins on either side. At lower browser widths the margins
should disappear.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Jonathan Druart 2018-03-26 20:37:17 UTC
Pushed to master for 18.05, thanks to everybody involved!